% Plot projections

function plotFeatures(Xtrain,Xtest,V,D,Labels,Labelstest,no_feats)

[Samples, Dim] = size(Xtrain);

colors = {'r' 'b' 'k' 'y' 'r' 'b' 'y' 'k'};colors2={[0.6 0 0],[0 0 0.6],[0.6 0.6 0],[0.6 0.6 0.6],[0.6 0 0],[0 0 0.6],[0.6 0.6 0],[0.6 0.6 0.6]};
colors1 ={'g' 'c' 'm' 'k' 'g' 'c' 'k' 'm'};
% colors = {'k' 'k' 'k' 'k'};

gr = 30;
x1min = 2*min(Xtrain(:,1));  x1max = 2*max(Xtrain(:,1));
x2min = 2*min(Xtrain(:,2));  x2max = 2*max(Xtrain(:,2));
[X,Y] = meshgrid(linspace(x1min,x1max,gr),linspace(x2min,x2max,gr));
Z = [X(:) , Y(:)];
phiZ = Z*V(:,1:no_feats);

% Plot the map
%for f = 1:no_feats
%     figure,
    for class = 1:min(8,max(Labelstest))
        c = find(Labelstest==class);
        plot(Xtest(c,1),Xtest(c,2),[colors1{class} '.'],'markersize',16),
        hold on
    end
    for class = 1:min(8,max(Labels))
        c = find(Labels==class);
        plot(Xtrain(c,1),Xtrain(c,2),'o','MarkerFaceColor',colors2{class},'MarkerEdgeColor',colors{class},'markersize',7),
        hold on
    end

    hold on
    pcolor(X,Y,reshape(phiZ(:,no_feats),[gr gr])),colormap gray
    hold on
    contour(X,Y,reshape(phiZ(:,no_feats),[gr gr]),8,'r')
    shading interp
    axis square, axis off

%     [px,py] = gradient(reshape(phiZ(:,f),[gr gr]),5,5);
%     quiver(X,Y,px,py), hold off, axis image
    
%end

