% SEMIFEAT_TOOLBOX
%
% Files
%   Assesskopls        - Computes the overall accuracy OA and kappa index using a linear classifier. The estimated labels are obtained by projected data onto principal components of KOPLS method.
%   Assesskpls         - Computes the overall accuracy OA and kappa index using a linear classifier. The estimated labels are obtained by projected data onto principal components of KPLS method.
%   assessment         - Computes quantitative measures of accuracy of classifiers and regression methods
%   Assesspca          - Computes the overall accuracy OA and kappa index using a linear classifier. The estimated labels are obtained by projected data onto principal components of PCA method.
%   Assesspls          - Computes the overall accuracy OA and kappa index using a linear classifier. The estimated labels are obtained by projected data onto principal components of PLS method.
%   bagkernelgmm       - Builds a GMM cluster kernel given input labeled and unlabeled data
%   bagkernelImGMM     - Builds different kinds of supervised and unsupervised kernels
%   binarize           - Binarize of a vector
%   closerClusterGMM   - Finds the closer clusters for generating test kernels
%   contents           - General purpose commands.
%   DemoSemiFeat       - DEMO
%   dualpls            - Performs dual (kernel) PLS discrimination [www.kernel-methods.net,J. Shawe-Taylor and N. Cristianini, Kernel Methods for Pattern Analysis, Cambridge University Press, 2004.]
%   estimateSigma      - Estimates the sigma parameter (RBF kernel lengthscale) from available data.
%   figure_projections - Plot projected data
%   gen_eig            - Extracts generalized eigenvalues for problem A * U = B * U * Landa.
%   generate_toydata   - Generate original data.
%   isp_rkopls_phase1  - Implements the OPLS method for FE projecting the input data either in original space or in feature space (KOPLS). Phase 1 : Sequential computation.
%   isp_rkopls_phase3  - Extracts Features from data.
%   kernelcentering    - Center kernel
%   kernelmatrix       - Generate Kernel
%   pca                - Compute the principal components of PCA method.
%   plotFeatures       - Plot projections
%   plotKernelFeatures - Plot projections of kernel-based methods
%   plsSB              - Compute the principal components of PLS method.
%   scalestd           - Standardizes each variable in the dataset independently to have zero mean and unit variance
